# mp-build

### mp-build returns 'Unable to build container'

In most cases, this error indicates issues with building the container image. The most probable causes are:

1. Unknown Instruction :
      ```
      mp-build
      Building adapter [Finished]
      Unable to build container 
      ERROR: Unable to build Docker file at /Users/user/code/aria_ops/management-packs/test:
       {'message': 'dockerfile parse error line 7: unknown instruction: COP'}

      ```
2. A command inside the Dockerfile failed:

      ```
      Building adapter [Finished]
      Unable to build container
      ERROR: Unable to build Docker file at /Users/user/code/aria_ops/management-packs/test:
      The command '/bin/sh -c pip3 install -r adapter_requirements.txt --upgrade' returned a non-zero code: 1
      Step 1/6 : FROM projects.registry.vmware.com/vmware_aria_operations_integration_sdk/base-adapter:python-0.12.1
      ---> 162815abfec9

      Step 2/6 : COPY commands.cfg .
      ---> a30b1027a43c

      Step 3/6 : COPY adapter_requirements.txt .
      ---> 62ccf9b7b89d

      Step 4/6 : RUN pip3 install -r adapter_requirements.txt --upgrade
      ---> Running in 64f44a73a22f

      Defaulting to user installation because normal site-packages is not writeable

      ERROR: Could not find a version that satisfies the requirement vmware-aria-operations-integration-sdk-lib==100 (from versions: 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.4.5, 0.4.6, 0.4.7, 0.5.0, 0.6.0, 0.7.0, 0.7.1, 0.7.2, 0.7.3, 0.7.4, 0.8.0, 0.8.1)

      ERROR: No matching distribution found for vmware-aria-operations-integration-sdk-lib==100


      [notice] A new release of pip available: 22.3.1 -> 23.3
      [notice] To update, run: pip install --upgrade pip
      ```
   The solution is for case 1 to fix the typo/command by editing the Dockerfile.
   For case 2, however, the solution might not be evident at first sight.
   Since the error comes from building the image itself,
   we can run look at the stack trace for clues
   (the stack trace is the same stack trace generated by docker build command).

???+ info

    For issues regarding mp-build and docker, see [Docker's](docker.md) page.
